PETSc version 3.15.5
Fix/Edit manual page

# KSPFCGGetMmax

get the maximum number of previous directions FCG will store

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPFCGGetMmax(KSP ksp,PetscInt *mmax)

Note: FCG stores mmax+1 directions at most (mmax previous ones, and one current one)

Not Collective

### Input Parameter

| ksp | - the Krylov space context

### Output Parameter

| mmax | - the maximum number of previous directons allowed for orthogonalization

### Options Database

| -ksp_fcg_mmax <N>

### See Also

KSPFCG, KSPFCGGetTruncationType(), KSPFCGGetNprealloc(), KSPFCGSetMmax()

### Level

intermediate

### Location

src/ksp/ksp/impls/fcg/fcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages